Package twisted :: Package application :: Module app

[frames | no frames]

## Module twisted.application.app

Classes
`ServerOptions` |

Function Summary
| `convertStyle(filein, typein, passphrase, fileout, typeout, encrypt)`
| `getApplication(config, passphrase)`
| `getLogFile(logfilename)`
| `getPassphrase(needed)`
| `getSavePassphrase(needed)`
| `initialLog()`
| `installReactor(reactor)`
| `reportProfile(report_profile, name)`
| `run(runApp, ServerOptions)`
| `runReactorWithLogging(config, oldstdout, oldstderr)`
| ``runWithHotshot`(reactor, config)` Run reactor under hotshot profiler.
| ``runWithProfiler`(reactor, config)` Run reactor under standard profiler.
| `startApplication(application, save)`

Variable Summary
`dict` | `reactorTypes` = `{'kqueue': 'twisted.internet.kqreactor', ...`

Function Details

### runWithHotshot(reactor, config)

Run reactor under hotshot profiler.

### runWithProfiler(reactor, config)

Run reactor under standard profiler.

Variable Details

### reactorTypes

  Type:
    `dict`
  Value:

        {'cf': 'twisted.internet.cfreactor',
         'default': 'twisted.internet.default',
         'glade': 'twisted.manhole.gladereactor',
         'gtk': 'twisted.internet.gtkreactor',
         'gtk2': 'twisted.internet.gtk2reactor',
         'iocp': 'twisted.internet.iocpreactor',
         'kqueue': 'twisted.internet.kqreactor',
         'poll': 'twisted.internet.pollreactor',
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:25 2004 | http://epydoc.sf.net